<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');
include_once('../../../php/timezone.php');

$dtFec=date("Y-m-d");
$nAnio=date("Y");
$nMes=date("m");

$empCod = $_SESSION['empCod'];
$empNom = $_SESSION['empNom'];
$empNit = $_SESSION['empNit'];

?>
<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-file-invoice"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');
      ?>

      <div class="container-as">
        <div class="row">
          <div class="col">
            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Libro de Salarios</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="pills-1-tab" data-toggle="pill" href="#pills-1" role="tab" aria-controls="pills-1" aria-selected="true">Buscar Empleados</a>
              </li>
            </ul>
            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">

                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-row">
                    <div class="col-md-10">
                      <div class="form-group">
                        <div class="form-row">
                          <div class="col-md-2">
                            <label class="font-size-sm text-success" for="numCoddm">Código Empleado</label>
                            <input type="number" class="form-control form-control-sm form-control-as" id="numCoddm" placeholder="0">
                          </div>
                          <div class="col-sm-9 col-md-8">
                            <label class="font-size-sm text-success" for="txtNomdm">Nombre del Empleado:</label>
                            <input type="text" class="form-control form-control-sm form-control-as" id="txtNomdm" maxlength="120" disabled>
                          </div>
                        </div>
                        <div class="form-row">
                          <div class="col-3">
                              <label class="font-size-sm" for="dtDel">Periodo del:</label>
                              <input type="date" class="form-control form-control-sm form-control-as" id="dtDel">
                          </div>
                          <div class="col-3">
                              <label class="font-size-sm" for="dtAl">Al</label>
                              <input type="date" class="form-control form-control-sm form-control-as" id="dtAl">
                          </div>
                        </div>
                        <div class="form-row">
                        </div>
                      </div>

                      <h3 class="text-light"></h3>
                      <h3 class="text-light"></h3>
                      <div class="form-group">
                        <div class="form-row">
                        </div>
                      </div>
                    </div>

                    <div class="col-md-2">
                      <div class="form-group position-fixed-md">

                        <div class="form-row">
                          <div class="col-12 mt-2">
                            <button class="btn btn-outline-success btn-block" id="btnImprimir" type="button">Generar Libro</button>
                          </div>
                          <div class="col-3 col-md-12"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
              <div class="tab-pane fade" id="pills-1" role="tabpanel" aria-labelledby="pills-1-tab">
                <?php
                  $a='0';
                  $b='1';
                  include('../busEmpleado/index.html');
                ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  var pressEnter = false;
  var nuevo = true;
  var nuevoArtic = true;
  var mesCerrado = false;
  var inputCtaMov = "txtCta";
  var totant = 0;
  var inputPlani = "numNum";
  var tblNomperAnt;
  var btnAddEdit = "00";
  var inputArtic = "txtCodd";
  var inputEmple = "txtCoddm";
  var unimed = "XXX";
  var ctaInc = false;
  
  const dtDel = document.thisform.dtDel;
  const dtAl = document.thisform.dtAl;
  const txtCoddm = document.thisform.txtCoddm;
  const txtNomdm = document.thisform.txtNomdm;


  function restriccion(consultar = false){
    if (!consultar) {
      if (isNullPer(numCoddm.value)  || numCoddm.value == 0) {
        numCoddm.focus();
        alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el CODIGO DEL EMPLEADO"}});
        return true;
      }
    } else {
      if (isNullPer(numCoddm.value)) {
        numCoddm.focus();
        alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el CODIGO DE EMPLEADO"}});
        return true;
      }
    }
    return false;
  }

  function restriccionCamposVacios() {
    if (isNullPer(numCoddm.value)) {
      numCoddm.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el CODIGO DEL EMPLEADO"}});
      return true;
    }
    return false;
  }


  function consultarMae(){
   
    if (isNullPer(numCoddm.value)) {
      numCoddm.value=0;
      txtNomdm.value="TODOS LOS EMPLEADOS";
    } else {
      const parametros = new FormData();
      parametros.append("action", "consultarMae");

      parametros.append("numCod", numCoddm.value);

      $.ajax({
        data:  parametros,
        url:   window.location.origin+window.location.pathname+"actions.php",
        type:  "post",
        contentType: false,
        processData: false,
        success: function (jsonPhp) {
          //console.log(jsonPhp);
          const jsonJS = JSON.parse(jsonPhp);

          if(jsonJS.error == true){
            alError(jsonJS);
          } else {
            if (isNullPer(jsonJS.maestro)) {
              //numCoddm.focus();
              alWarning({"msg":{"title":"EMPLEADO NO REGISTRADO","text":"Este Codigo de empleado, no ha sido registrado, revise."}});
              return true;
            } else {
              txtNomdm.value = jsonJS.maestro.mae_nom+" "+jsonJS.maestro.mae_ape;
            }
          }
        }
      });
    } 
  }  


  function limpiar(){
    dtAl.value= '<?php echo $dtFec; ?>';
    dtDel.value= '<?php echo $dtFec; ?>';
    numCoddm.value = "";
    txtNomdm.value = "";
  }



  $(document).ready(function() {
    $(this).find('input:visible:first').focus();
    //document.thisform.dtFec.value = '<?php echo $dtFec; ?>';
    //document.thisform.dtFvalida.value = '<?php echo $dtFec; ?>';
    dtDel.value = dateToday();
    dtAl.value = dateToday();

    // SHOW MODAL
    $('#modalNomper').on('shown.bs.modal', function() {
      if (!isMobile()) {
        $(this).find('input:visible:first').focus();
      }
    });

    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });

    // VALID NUMERO
    $("#numCoddm")
    .focus(function (){
      inputEmple = $(this).attr('id');
      numCoddm.value = "";
      txtNomdm.value = "";
    })
    .keypress(function(e) {
      const keycode = e.keyCode || e.which;
      if (keycode == '13') {pressEnter = true;}
    })
    .keydown(function(e){
      if(ctrlBus(e)) { document.getElementById("pills-1-tab").click(); }
    })    
    .change(function (){
      consultarMae();
    });

  });

    // FOCUS ORDEN DE COMPRA
  //  $("#numOrdenc").change(function (){
  //    consultarOrden();
  //  });



    // CLICK IMPRIMIR
    $("#btnImprimir").click(function (){
      //if (restriccion(true)) {return};

      const getdtDel = "?dtDel="+dtDel.value;      
      const getdtAl = "&dtAl="+dtAl.value;      
      const getnumCoddm = "&numCoddm="+numCoddm.value;      

      var url = window.location.origin+window.location.pathname+"print.php"+getdtDel+getdtAl+getnumCoddm;

      window.open(url, '_blank');

      numCoddm.focus();

    });


  // FOCUS PILL
  $('a[data-toggle="pill"]').on('shown.bs.tab', function (e) {
    if (!isMobile()) {
      const target = e.target.attributes.href.value;
      const relatedTarget = e.relatedTarget.attributes.href.value;

      if (target != "#pills-0") {
        $(target+' input:visible:first').focus();
      } else {
        (relatedTarget == "#pills-1") ? dtDel.focus() : 0;
      }
      //$(target+' input:visible:first').focus();
    }
  });

</script>

